deepin 安装 PHP7.2.1 的 openssl 扩展提示"configure: error: Cannot find OpenSSL's <evp.h>"

一、安装PHP7.2.1

在第一步安装PHP是遇到这个问题,百度一下都是让装openssl
sudo apt-get install openssl openssl-dev
但执行发现系统已经安装了openssl。先进行了跳过,准备之后再做处理
安装过程参照: http://blog.csdn.net/zrainload/article/det...

二、安装Openssl扩展

过程参照: https://www.cnblogs.com/ttiandeng/p/656053...
遇到问题
file
本来以为可以顺利结束,然后执行make && make install 就好了,结果还是报这个错。

sudo apt-get install libssl-dev

在guthub找了半天,发现就是这么简单的一条命令就解决了问题。。。再次做个记录。

《L01 基础入门》
我们将带你从零开发一个项目并部署到线上,本课程教授 Web 开发中专业、实用的技能,如 Git 工作流、Laravel Mix 前端工作流等。
《L05 电商实战》
从零开发一个电商项目,功能包括电商后台、商品 & SKU 管理、购物车、订单管理、支付宝支付、微信支付、订单退款流程、优惠券等
讨论数量: 6

老铁 ,你的 deepin 用起来怎么样?用的什么版本?我打算换成Linux,不知道选Ubuntu 还是 deepin

2年前 评论

@JessQiu deepin挺好的...个人觉得驱动上比Ubuntu好多了.Ubuntu老是有一些奇怪的问题.不过这个得看个人电脑支持如何

2年前 评论

@JessQiu deepin用起来舒服点,毕竟国人定制

2年前 评论

?谢了两位老铁

2年前 评论

@JessQiu 从15.4开始坚持使用的,半年多开都用它做开发,偶尔会有死机现象。现在升级到15.5了,除了对较新的显卡支持这块不是很好,其他都很赞!
补充:相信我,用一段时间deepin你绝对不想再进windows

2年前 评论

感谢楼主,解决了问题

7个月前 评论

请勿发布不友善或者负能量的内容。与人为善,比聪明更重要!